<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:h="http://java.sun.com/jsf/html" >

<body>
<ui:composition>

    <h2><h:outputText id="heading" value="#{msg['navigation.select_catalogue']}"/></h2>

    <div class="list-group">
        <ui:repeat value="#{catalogsBean.catalogsSortedByTitle}" var="catalog">
            <div class="well">
                <div class="row">
                    <div class="col-md-11">
                        <a href="#{request.contextPath}/#{languageBean.lang}/catalogue/#{catalog.name}">
                            <h3 class="panel-title">
                                <span id="#{catalog.name}" class="truncate-name wd100"
                                        title="#{catalog.title}">#{catalog.title}</span>
                            </h3>
                        </a>
                    </div>
                    <div class="col-md-1" >
                        <h:graphicImage
                                name="img/flags/#{not empty facesContext.application.resourceHandler.createResource('img/flags/'.concat(catalog.spatial.toLowerCase()).concat('.png'))
                                                    ? catalog.spatial.toLowerCase()
                                                    : 'europe'}.png"
                                width="30"
                                height="20"
                        />
                    </div>
                </div>
                <ui:fragment rendered="#{not empty catalog.description}">
                    <div class="row">
                        <div class="col-md-11">
                            <span id="#{catalog.name}'.description" class="truncate-name wd70">
                                #{catalog.description}
                            </span>
                        </div>
                    </div>
                </ui:fragment>
            </div>
        </ui:repeat>
    </div>
</ui:composition>
</body>
</html>